Index: branches/2.2/workflow/setup/tables_update.inc.php
===================================================================
--- branches/2.2/workflow/setup/tables_update.inc.php	(revision 1981)
+++ branches/2.2/workflow/setup/tables_update.inc.php	(revision 3031)
@@ -1216,6 +122,26 @@
 	{
 		#updating the current version
+		$GLOBALS['setup_info']['workflow']['currentver'] = '2.0.003';
+		return $GLOBALS['setup_info']['workflow']['currentver'];
+	}
+	$test[] = '2.0.003';
+	function workflow_upgrade2_0_003()
+	{
+		#updating the current version
+		$GLOBALS['setup_info']['workflow']['currentver'] = '2.0.004';
+		return $GLOBALS['setup_info']['workflow']['currentver'];
+	}	
+	$test[] = '2.0.004';
+	function workflow_upgrade2_0_004()
+	{
+		#updating the current version
 		$GLOBALS['setup_info']['workflow']['currentver'] = '2.1.000';
 		return $GLOBALS['setup_info']['workflow']['currentver'];
 	}
+	$test[] = '2.1.000';
+	function workflow_upgrade2_1_000()
+	{
+		$GLOBALS['setup_info']['workflow']['currentver'] = '2.2.000';
+		return $GLOBALS['setup_info']['workflow']['currentver'];
+	}	
 ?>
Index: branches/2.2/expressoMail1_2/setup/tables_update.inc.php
===================================================================
--- branches/2.2/expressoMail1_2/setup/tables_update.inc.php	(revision 1835)
+++ branches/2.2/expressoMail1_2/setup/tables_update.inc.php	(revision 3031)
@@ -9,56 +9,5 @@
 	* option) any later version.                                               *
 	\**************************************************************************/
-	$test[] = '1.2031';
-	function expressoMail1_2_upgrade1_2031() {
-		$GLOBALS['setup_info']['expressoMail1_2']['currentver'] = '1.2201';
-		return $GLOBALS['setup_info']['expressoMail1_2']['currentver'];
-	}
-	
-	$test[] = '1.2201';
-	function expressoMail1_2_upgrade1_2201() {
-		$GLOBALS['setup_info']['expressoMail1_2']['currentver'] = '1.2211';
-		return $GLOBALS['setup_info']['expressoMail1_2']['currentver'];		
-	}
-	
-	$test[] = '1.2211';
-	function expressoMail1_2_upgrade1_2211() {
-		$GLOBALS['setup_info']['expressoMail1_2']['currentver'] = '1.222';
-		return $GLOBALS['setup_info']['expressoMail1_2']['currentver'];
-	}
-
-	$test[] = '1.222';
-	function expressoMail1_2_upgrade1_222() {
-		$GLOBALS['setup_info']['expressoMail1_2']['currentver'] = '1.230';
-		return $GLOBALS['setup_info']['expressoMail1_2']['currentver'];
-	}
-	
-	$test[] = '1.230';
-	function expressoMail1_2_upgrade1_230() {
-		$oProc = $GLOBALS['phpgw_setup']->oProc;
-		$oProc->CreateTable('phpgw_expressomail_contacts',array(
-			'fd' => array(
-				'id_owner' => array( 'type' => 'int', 'precision' => 8, 'nullable' => false),
-				'data' => array( 'type' => 'text')
-			),
-			'pk' => array('id_owner'),
-			'fk' => array(),
-			'ix' => array(),
-			'uc' => array()	)
-		);
-		$setup_info['expressoMail1_2']['currentver'] = '1.231';
-		return $setup_info['expressoMail1_2']['currentver'];
-	}		
-	$test[] = '1.231';													
-	function expressoMail1_2_upgrade1_231() {
-		$setup_info['expressoMail1_2']['currentver'] = '1.232';
-		return $setup_info['expressoMail1_2']['currentver'];
-	}
-	
-	$test[] = '1.232';
-	function expressoMail1_2_upgrade1_232() {
-		$setup_info['expressoMail1_2']['currentver'] = '1.233';
-		return $setup_info['expressoMail1_2']['currentver'];
-	}
-	
+	//	Since Expresso 1.2 using ExpressoMail 1.233		
 	$test[] = '1.233';
 	function expressoMail1_2_upgrade1_233() {
@@ -66,5 +15,4 @@
 		return $setup_info['expressoMail1_2']['currentver'];
 	}
-	
 	$test[] = '1.234';
 	function expressoMail1_2_upgrade1_234() {
@@ -105,6 +53,36 @@
 	$test[] = '2.0.002';
 	function expressoMail1_2_upgrade2_0_002() {
+		$setup_info['expressoMail1_2']['currentver'] = '2.0.003';
+		return $setup_info['expressoMail1_2']['currentver'];
+	}
+	$test[] = '2.0.003';
+	function expressoMail1_2_upgrade2_0_003() {
+		$setup_info['expressoMail1_2']['currentver'] = '2.0.004';
+		return $setup_info['expressoMail1_2']['currentver'];
+	}
+	$test[] = '2.0.004';
+	function expressoMail1_2_upgrade2_0_004() {
+		$setup_info['expressoMail1_2']['currentver'] = '2.0.005';
+		return $setup_info['expressoMail1_2']['currentver'];
+	}	
+	$test[] = '2.0.005';
+	function expressoMail1_2_upgrade2_0_005() {
+		$setup_info['expressoMail1_2']['currentver'] = '2.0.006';
+		return $setup_info['expressoMail1_2']['currentver'];
+	}	
+	$test[] = '2.0.006';
+	function expressoMail1_2_upgrade2_0_006() {
+		$setup_info['expressoMail1_2']['currentver'] = '2.0.007';
+		return $setup_info['expressoMail1_2']['currentver'];
+	}		
+	$test[] = '2.0.007';
+	function expressoMail1_2_upgrade2_0_007() {
 		$setup_info['expressoMail1_2']['currentver'] = '2.1.000';
 		return $setup_info['expressoMail1_2']['currentver'];
 	}
+	$test[] = '2.1.000';
+	function expressoMail1_2_upgrade2_1_000() {
+		$setup_info['expressoMail1_2']['currentver'] = '2.2.000';
+		return $setup_info['expressoMail1_2']['currentver'];
+	}	
 ?>
Index: branches/2.2/expressoMail1_2/setup/setup.inc.php
===================================================================
--- branches/2.2/expressoMail1_2/setup/setup.inc.php	(revision 1728)
+++ branches/2.2/expressoMail1_2/setup/setup.inc.php	(revision 3031)
@@ -12,5 +12,5 @@
 	$setup_info['expressoMail1_2']['name']      	= 'expressoMail1_2';
 	$setup_info['expressoMail1_2']['title']     	= 'Expresso Mail';
-	$setup_info['expressoMail1_2']['version']   	= '2.1.000';
+	$setup_info['expressoMail1_2']['version']   	= '2.2.000';
 	$setup_info['expressoMail1_2']['app_order'] 	= 2;
 	$setup_info['expressoMail1_2']['tables'][]		= 'phpgw_expressomail_contacts';
@@ -37,5 +37,5 @@
 	$setup_info['expressoMail1_2']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('2.1')
+		'versions' => Array('2.2')
 	);
 ?>
